## CamelIMAPXStoreSummary

CamelIMAPXStoreSummary

## Functions

CamelIMAPXStoreInfo * | camel_imapx_store_summary_mailbox ()
CamelIMAPXStoreInfo * | camel_imapx_store_summary_add_from_mailbox ()

## Types and Values

struct | CamelIMAPXStoreInfo

## Object Hierarchy

        GObject
        ╰── CamelStoreSummary
            ╰── CamelIMAPXStoreSummary

## Description

## Functions

### camel_imapx_store_summary_mailbox ()

    CamelIMAPXStoreInfo *
    camel_imapx_store_summary_mailbox (CamelStoreSummary *summary,
                                       const gchar *mailbox_name);

Retrieve a summary item by mailbox name.

The returned CamelIMAPXStoreInfo is referenced for thread-safety and should be unreferenced with `camel_store_summary_info_unref()` when finished with it.

#### Parameters

summary | a CamelStoreSummary |
mailbox_name | a mailbox name |

#### Returns

a CamelIMAPXStoreInfo, or `NULL`.

[nullable]

### camel_imapx_store_summary_add_from_mailbox ()

    CamelIMAPXStoreInfo *
    camel_imapx_store_summary_add_from_mailbox
                                   (CamelStoreSummary *summary,
                                    CamelIMAPXMailbox *mailbox);

## Types and Values

### struct CamelIMAPXStoreInfo

    struct CamelIMAPXStoreInfo {
    	CamelStoreInfo info;
    	gchar *mailbox_name;
    	gchar separator;
    	gboolean in_personal_namespace;
    };